SplFileObject::eof
SplFileObject::fgetc
SplFileObject
PHP Manual

# SplFileObject::fflush

(PHP 5 >= 5.1.0)

SplFileObject::fflush — Flushes the output to the file

### Description

public bool SplFileObject::fflush ( void )

Forces a write of all buffered output to the file.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 SplFileObject::fflush() example

`<?php
$file = new SplFileObject('misc.txt', 'r+');
$file->rewind();
$file->fwrite("Foo");
$file->fflush();
$file->ftruncate($file->ftell());
?>`

### See Also

- SplFileObject::fwrite() - Write to file

SplFileObject::eof
SplFileObject::fgetc
SplFileObject
PHP Manual